<script setup lang="ts">
  import type { CmsElementProductDescriptionReviews } from '@shopware-pwa/composables-next';
  import { getTranslatedProperty } from '@shopware-pwa/helpers-next';
  import { CmsPageProductDetailKey } from '~/helpers/injection';

  const props = defineProps<{
    content: CmsElementProductDescriptionReviews & {
      data: {
        reviews: {
          totalReviews: number;
        };
      };
    };
  }>();
  const productShared = inject(CmsPageProductDetailKey);
  const { product: productRepresentation } = useProduct(props.content.data?.product);

  const product = computed(() => productShared?.value ?? productRepresentation.value);
  const description = computed(() => getTranslatedProperty(product.value, 'description'));
  const totalReviews = computed(() => props.content.data.reviews?.totalReviews || 0);
</script>

<template>
  <div v-if="product">
    <SwTab :tabs="['description', 'reviews']" :static="false">
      <template #tab-0>
        <div v-html="description" />

        <ProductPropertiesTable
          v-if="product.sortedProperties?.length"
          :properties="product.sortedProperties"
          class="mt-6"
        />
      </template>

      <template #tab-1>
        <ProductReviews :product="product" :total-reviews="totalReviews" />
      </template>
    </SwTab>
  </div>
</template>
